#ifndef __SEEDS_H__
#define __SEEDS_H__

typedef struct {
  int x, y;
  long index;
} SEED;

typedef struct {
    SEED *seeds;
    int N;
    long base;
    long max_size;
    long MAX_SIZE;
} SEEDS;

SEEDS* create_seeds(long MAX_SIZE);
void free_seeds(SEEDS *seeds);
void insert_seed(SEEDS *seeds, long p, 
                 int x, int y, long index);
SEED* get_seed(SEEDS* seeds, long i);
long get_seed_index(SEEDS* seeds, long i);
int get_seed_x(SEEDS* seeds, long i);
int get_seed_y(SEEDS* seeds, long i);


#endif
