#ifndef __MINLIST_H__
#define __MINLIST_H__

typedef struct {
  int x, y;
  long index;
  double dist;
} CELL;

typedef struct {
    CELL *cells;
    int N;
    int max_size;
} MINLIST;

MINLIST* create_minlist(int max_size);
void free_minlist(MINLIST *ml);
void insert_minlist(MINLIST *ml, int x, int y, long index, double dist);
void getmin_minlist(MINLIST* ml, CELL* cell);

#endif
